package com.tmerclub.cloud.common.constant;

/**
 * 影印件采集审核状态 0.未上传 1.待审核 2.只有工商认证通过 3.只有法人信息通过 4.均审核通过
 *
 * @author TRACK
 */
public enum IdCardCollectProcessStatus {

    /**
     * 未上传
     */
    UN_COMMITTED(0, "未上传"),

    /**
     * 待审核
     */
    WAIT_AUDIT(1, "待审核"),

    /**
     * 只有工商认证通过
     */
    REG(2, "只有工商认证通过"),

    /**
     * 只有法人信息通过
     */
    ID_CARD(3, "只有法人信息通过"),

    /**
     * 均审核通过
     */
    ALL(4, "均审核通过");

    private final Integer num;
    private final String str;

    public Integer value() {
        return num;
    }

    public String str() {
        return str;
    }

    IdCardCollectProcessStatus(Integer num, String name) {
        this.num = num;
        this.str = name;
    }

    public static IdCardCollectProcessStatus instance(Integer value) {
        IdCardCollectProcessStatus[] enums = values();
        for (IdCardCollectProcessStatus cardCollectProcessStatus : enums) {
            if (cardCollectProcessStatus.value().equals(value)) {
                return cardCollectProcessStatus;
            }
        }
        return null;
    }
}
